UbixOS V2 2.0

Data Fields
sys_fwrite_args Struct Reference

`#include <file.h>`

Collaboration diagram for sys_fwrite_args:

## Data Fields
void * | buf
userFileDescriptor * | fd
size_t | nbytes
size_t | nmemb

## Detailed Description

Definition at line 97 of file file.h.

## Field Documentation

## ◆ buf

void* sys_fwrite_args::buf

Definition at line 98 of file file.h.

Referenced by sys_fwrite().

## ◆ fd

userFileDescriptor* sys_fwrite_args::fd

Definition at line 101 of file file.h.

Referenced by sys_fwrite().

## ◆ nbytes

size_t sys_fwrite_args::nbytes

Definition at line 99 of file file.h.

Referenced by sys_fwrite().

## ◆ nmemb

size_t sys_fwrite_args::nmemb

Definition at line 100 of file file.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/vfs/file.h